	MEMORY 128
	MODEL HALF
	USE OFFSET 3
	.DEAD
	LD B,^start_prog.L
	JMP ^start_prog:B
	
	.HMAC
BIOSCALL:
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP

	.PROG
start_prog:	
	OFFSET 2
	LD A,0x01		# display ON
 	^BIOSCALL 0x01
	
	LD B,&time.L
	LD A,0x02
	^BIOSCALL 0x03

	LD A,0x05		# display 1
 	^BIOSCALL 0x01
	LD A,0x06		# vrambank 0
 	^BIOSCALL 0x01

	ZERO %shipY
	ZERO %enemyAy
	ZERO %enemyAsign
	LD A,129
	ST %enemyAx,A
	ST %enemyBx,A
	LD A,180
	ST %enemyBy,A
	ST %enemyBsign,A
	LD A,2
	ST %enemyBcount,A
	ZERO %tamaFLAG
ssmov:	
	## CLS
        LD B,&bios_param.L
	LD A,3			# sub function cls
	!ST [&bios_param:B],A
	LD A, &bios_param.H
	LD B, &bios_param.L
	^BIOSCALL 0x06

	## SHIP
	LD B,&bios_param.L
	LD A,5			# sub function bwrite
	!ST [&bios_param:B],A
	LD A,0
	!ST [&bios_param:B],A
	LD A,%shipY
	!ST [&bios_param:B],A
	LD A,46
	!ST [&bios_param:B],A
	LD A,60
	!ST [&bios_param:B],A
	LD A,&BMPss.L
	!ST [&bios_param:B],A
	LD A,&BMPss.H
	!ST [&bios_param:B],A
	LD A, &bios_param.H
	LD B, &bios_param.L
	^BIOSCALL 0x06

	## ENEMY A
	LD B,&bios_param.L
	LD A,5			# sub function bwrite
	!ST [&bios_param:B],A
	LD A,%enemyAx
	!ST [&bios_param:B],A
	LD A,%enemyAy
	!ST [&bios_param:B],A
	LD A,30
	!ST [&bios_param:B],A
	LD A,58
	!ST [&bios_param:B],A
	LD A,&BMPen.L
	!ST [&bios_param:B],A
	LD A,&BMPen.H
	!ST [&bios_param:B],A
	LD A, &bios_param.H
	LD B, &bios_param.L
	^BIOSCALL 0x06

	## ENEMY B
	LD B,&bios_param.L
	LD A,5			# sub function bwrite
	!ST [&bios_param:B],A
	LD A,%enemyBx
	!ST [&bios_param:B],A
	LD A,%enemyBy
	!ST [&bios_param:B],A
	LD A,30
	!ST [&bios_param:B],A
	LD A,58
	!ST [&bios_param:B],A
	LD A,&BMPen.L
	!ST [&bios_param:B],A
	LD A,&BMPen.H
	!ST [&bios_param:B],A
	LD A, &bios_param.H
	LD B, &bios_param.L
	^BIOSCALL 0x06
	

	LD A,%enemyAsign
	OR A,0x00
	JRZ0 ^enemyA00
	INC %enemyAy
	LD A,180
	SUB A,%enemyAy
	JRC0 ^enemyA01
	INC %enemyAsign
	JR ^enemyA01
enemyA00:
	DEC %enemyAy
	JRZ0 2			# SKIP
	ZERO %enemyAsign
enemyA01:
	DEC %enemyAx
	JRZ0 ^enemyA_exit
	LD A,129
	ST %enemyAx,A
enemyA_exit:

	DEC %enemyBcount
	JRZ0 ^enemyB01
	LD A,2
	ST %enemyBcount,A
	
	LD A,%enemyBsign
	OR A,0x00
	JRZ0 ^enemyB00

	INC %enemyBy
	LD A,180
	SUB A,%enemyBy
	JRC0 ^enemyB01
	INC %enemyBsign
	JR ^enemyB01
enemyB00:
	DEC %enemyBy
	JRZ0 ^enemyB01
	ZERO %enemyBsign
enemyB01:
	DEC %enemyBx
	JRZ0 ^enemyB_exit
	LD A,129
	ST %enemyBx,A
enemyB_exit:

	LD A,0x01
	LD B,0x01
	^BIOSCALL 0x04		# kbhit
	XOR A,0
	JRZ1 ^next0

	LD A,0x01
	LD B,0x02
	^BIOSCALL 0x04		# getch
	ST %key, A
	
	LD A,0x61
	XOR A,%key
	JRZ0 ^next1
	DEC %shipY
	DEC %shipY
	JR ^next0
next1:	
	LD A,0x7A
	XOR A,%key
	JRZ0 ^next2
	INC %shipY
	INC %shipY
next2:	
	LD A,0x20
	XOR A,%key
	JRZ0 ^next0

	LD A,0x00
	OR A,%tamaFLAG
	JRZ0 ^next0

	INC %tamaFLAG
	
	LD A,92
	ST %tamaXL,A
	ZERO %tamaXH,A
	LD A,35
	ADD A,%shipY
	ST %tamaY,A

next0:
	LD A,0x00
	OR A,%tamaFLAG
	JRZ1 ^next4

	## TAMA 
	LD B,&bios_param.L
	LD A,1			# sub function hline
	!ST [&bios_param:B],A
	LD A,%tamaXL
	!ST [&bios_param:B],A
	LD A,%tamaXH
	!ST [&bios_param:B],A
	LD A,%tamaY
	!ST [&bios_param:B],A
	LD A,15
	!ST [&bios_param:B],A
	LD A,8
	!ST [&bios_param:B],A
	LD A, &bios_param.H
	LD B, &bios_param.L
	^BIOSCALL 0x06

	LD A,0x2
	ADD %tamaXL,A
	INCC %tamaXH
	LD A,0x37
	SUB A,%tamaXL
	LD A,0x01
	SUBC A,%tamaXH
	JRC0 ^next4
	ZERO %tamaFLAG
next4:	
	BR ^wait1s

	LD B,^ssmov.L
	JMP ^ssmov:B

	EXIT
	
wait1s:
	ST %retA,A
	ST %retB,B

	LD A,0x08
	^BIOSCALL 0x01
wait1s_00:
	LD B,&timex.L
	LD A,0x02
	^BIOSCALL 0x03
	
	LD A,%time0
	SUB %timex0, A
	LD A,%time1
	SUBC %timex1, A
	LD A,%time2
	SUBC %timex2, A
	LD A,%time3
	SUBC %timex3, A
	
	LD A,0x32
	SUB %timex0,A
	LD A,0x00
	SUBC %timex1,A
	DECC %timex2
	DECC %timex3
	JRC0 ^wait1s_00
	
        LD A,0x32
	ADD %time0,A
        LD A,0x00
	ADDC %time1,A
	INCC %time2
	INCC %time3
	
	LD A,%retA
	LD B,%retB
	JMP A:B
### #########################################
	
	.DATA
	OFFSET 2
	REG 1 retA
	REG 1 retB
	REG 1 key
	REG 4 time
	ALIAS time0 time 0
	ALIAS time1 time 1
	ALIAS time2 time 2
	ALIAS time3 time 3
	REG 4 timex
	ALIAS timex0 timex 0
	ALIAS timex1 timex 1
	ALIAS timex2 timex 2
	ALIAS timex3 timex 3
	REG 1 shipY
	REG 1 enemyAx
	REG 1 enemyAy
	REG 1 enemyAsign
	REG 1 enemyBx
	REG 1 enemyBy
	REG 1 enemyBsign
	REG 1 enemyBcount
	REG 1 tamaFLAG
	REG 1 tamaXL
	REG 1 tamaXH
	REG 1 tamaY
	MEM 8 bios_param !8
	MEM 2760 BMPss \
	    0x88 0x88 0x77 0xFF 0xFF 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x77 0xFF 0xFF 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0xFF 0xFF 0xFF 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0xFF
	    0xFF 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0xFF
	    0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0x77 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0xFF 0xFF 0x77 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0xFF 0xFF 0x77 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0xFF 0xFF 0x77 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0xFF 0xFF 0x77 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x77 0xFF 0xFF 0xFF 0x77 0x77 0x55 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0xFF
	    0xFF 0xFF 0x77 0x77 0x55 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0x77
	    0x77 0x55 0x77 0x77 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0x77 0x77 0x55
	    0x77 0x77 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x77 0x77 0x44 0x55 0x55 0x33
	    0x33 0xFF 0xFF 0xFF 0x77 0x88 0x55 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x77 0x77 0x44 0x55 0x55 0x33 0x33 0xFF
	    0xFF 0xFF 0x77 0x88 0x55 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x44 0x55 0x44 0x44 0x77 0x33 0xFF 0xFF 0x55
	    0x88 0x88 0x55 0xFF 0xFF 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x55 0x44 0x55 0x44 0x44 0x77 0x33 0xFF 0xFF 0x55 0x88 0x88
	    0x55 0xFF 0xFF 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x55 0x55 0x55 0x55 0x44 0x44 0x55 0x55 0x88 0x88 0x88 0x88 0x55
	    0xFF 0xFF 0xFF 0x77 0xFF 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x55 0x55 0x55 0x55 0x44 0x44 0x55 0x55 0x88 0x88 0x88 0x88 0x55 0xFF 0xFF
	    0xFF 0x77 0xFF 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x55 0x44 0x44
	    0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0x55
	    0xFF 0xFF 0xDD 0xDD 0xDD 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x55 0x44 0x44 0x44 0x44
	    0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0x55 0xFF 0xFF
	    0xDD 0xDD 0xDD 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x55 0x44 0x55 0x44 0x55 0x44 0x44 0x44 0x55 0x77 0x55 0x44 0x44 0x55 0x55 0x55
	    0x55 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0xFF 0x77 0xFF 0x55 0xFF 0xFF 0xDD 0xDD
	    0xDD 0xDD 0xDD 0xDD 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x44
	    0x55 0x44 0x55 0x44 0x44 0x44 0x55 0x77 0x55 0x44 0x44 0x55 0x55 0x55 0x55 0x77
	    0x77 0x88 0x88 0x88 0x88 0x88 0xFF 0x77 0xFF 0x55 0xFF 0xFF 0xDD 0xDD 0xDD 0xDD
	    0xDD 0xDD 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0x44 0xFF 0x44
	    0xFF 0x44 0x44 0x44 0x77 0x77 0x77 0x55 0x55 0x44 0x44 0x44 0x55 0x55 0x77 0x77
	    0x88 0x88 0x77 0xFF 0x77 0xFF 0x77 0x55 0xFF 0xFF 0x77 0x77 0x77 0x77 0xDD 0xDD
	    0xDD 0xDD 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0x44 0xFF 0x44 0xFF 0x44
	    0x44 0x44 0x77 0x77 0x77 0x55 0x55 0x44 0x44 0x44 0x55 0x55 0x77 0x77 0x88 0x88
	    0x77 0xFF 0x77 0xFF 0x77 0x55 0xFF 0xFF 0x77 0x77 0x77 0x77 0xDD 0xDD 0xDD 0xDD
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x44 0x77 0x44 0x77 0x44 0x44 0x44
	    0x77 0x77 0x77 0x77 0x44 0x55 0x55 0x55 0x44 0x44 0x44 0x55 0x55 0x55 0x55 0xFF
	    0x77 0xFF 0x55 0x55 0x77 0xFF 0xFF 0x77 0x77 0x77 0x77 0x77 0x77 0xDD 0xDD 0xDD
	    0xDD 0x88 0x88 0x88 0x88 0x88 0x77 0x44 0x77 0x44 0x77 0x44 0x44 0x44 0x77 0x77
	    0x77 0x77 0x44 0x55 0x55 0x55 0x44 0x44 0x44 0x55 0x55 0x55 0x55 0xFF 0x77 0xFF
	    0x55 0x55 0x77 0xFF 0xFF 0x77 0x77 0x77 0x77 0x77 0x77 0xDD 0xDD 0xDD 0xDD 0x88
	    0x88 0x88 0x88 0x88 0x55 0x44 0x55 0x44 0x55 0x44 0x44 0x44 0x55 0x77 0x77 0x55
	    0x77 0x77 0x77 0x55 0x55 0x55 0x55 0xFF 0x55 0x77 0x55 0xFF 0xFF 0x77 0xFF 0x55
	    0x77 0xFF 0xFF 0xFF 0x77 0xDD 0xDD 0xDD 0xDD 0x77 0x77 0x77 0xDD 0xDD 0xDD 0xDD
	    0x88 0x88 0x55 0x44 0x55 0x44 0x55 0x44 0x44 0x44 0x55 0x77 0x77 0x55 0x77 0x77
	    0x77 0x55 0x55 0x55 0x55 0xFF 0x55 0x77 0x55 0xFF 0xFF 0x77 0xFF 0x55 0x77 0xFF
	    0xFF 0xFF 0x77 0xDD 0xDD 0xDD 0xDD 0x77 0x77 0x77 0xDD 0xDD 0xDD 0xDD 0x88 0x88
	    0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x55 0x77 0xFF 0xFF 0x77 0xFF 0xFF 0xFF 0xFF
	    0xFF 0xFF 0xFF 0x77 0x55 0x77 0x55 0xFF 0xFF 0x77 0x77 0x55 0xFF 0xFF 0xFF 0xFF
	    0xFF 0x77 0xDD 0xDD 0xDD 0xDD 0xDD 0x77 0x77 0xDD 0xDD 0xDD 0xDD 0x88 0x44 0x44
	    0x44 0x44 0x44 0x44 0x44 0x55 0x77 0xFF 0xFF 0x77 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF
	    0xFF 0x77 0x55 0x77 0x55 0xFF 0xFF 0x77 0x77 0x55 0xFF 0xFF 0xFF 0xFF 0xFF 0x77
	    0xDD 0xDD 0xDD 0xDD 0xDD 0x77 0x77 0xDD 0xDD 0xDD 0xDD 0x88 0x44 0x44 0x44 0x44
	    0x44 0x55 0x55 0x55 0x77 0x77 0x77 0x55 0x77 0xFF 0xFF 0xFF 0x77 0xFF 0xFF 0xFF
	    0x77 0x55 0x55 0x55 0x77 0x77 0x55 0x55 0x77 0x77 0xFF 0xFF 0xFF 0xFF 0x77 0xDD
	    0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0x44 0x44 0x44 0x44 0x44 0x55
	    0x55 0x55 0x77 0x77 0x77 0x55 0x77 0xFF 0xFF 0xFF 0x77 0xFF 0xFF 0xFF 0x77 0x55
	    0x55 0x55 0x77 0x77 0x55 0x55 0x77 0x77 0xFF 0xFF 0xFF 0xFF 0x77 0xDD 0xDD 0xDD
	    0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0xDD 0x44 0x44 0x44 0x44 0x44 0x55 0x55 0x44
	    0x11 0x11 0x11 0x11 0x11 0x11 0x11 0x44 0x44 0x77 0xFF 0xFF 0xFF 0x77 0x77 0x44
	    0x55 0x55 0x55 0x44 0x55 0x55 0x55 0x55 0x55 0x55 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF
	    0x77 0x77 0xDD 0xDD 0xDD 0x55 0x44 0x44 0x44 0x44 0x44 0x55 0x55 0x44 0x11 0x11
	    0x11 0x11 0x11 0x11 0x11 0x44 0x44 0x77 0xFF 0xFF 0xFF 0x77 0x77 0x44 0x55 0x55
	    0x55 0x44 0x55 0x55 0x55 0x55 0x55 0x55 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0x77
	    0xDD 0xDD 0xDD 0x55 0x55 0x44 0x55 0x44 0x55 0x55 0x55 0x11 0x11 0x11 0x11 0x11
	    0x11 0x11 0x11 0x11 0x44 0x55 0x77 0xFF 0xFF 0xFF 0x77 0x44 0x55 0x55 0x55 0x44
	    0x55 0x77 0x77 0x77 0x77 0x77 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x77 0x77
	    0x55 0x88 0x55 0x44 0x55 0x44 0x55 0x55 0x55 0x11 0x11 0x11 0x11 0x11 0x11 0x11
	    0x11 0x11 0x44 0x55 0x77 0xFF 0xFF 0xFF 0x77 0x44 0x55 0x55 0x55 0x44 0x55 0x77
	    0x77 0x77 0x77 0x77 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x77 0x77 0x55 0x88
	    0x55 0x44 0x55 0x44 0x55 0x55 0x55 0x44 0x11 0x11 0x11 0x11 0x11 0x11 0x11 0x44
	    0x44 0x55 0x77 0x77 0x77 0x55 0x55 0x55 0x44 0x55 0x88 0x88 0x55 0x55 0x55 0x55
	    0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x88 0x88 0x55 0x44
	    0x55 0x44 0x55 0x55 0x55 0x44 0x11 0x11 0x11 0x11 0x11 0x11 0x11 0x44 0x44 0x55
	    0x77 0x77 0x77 0x55 0x55 0x55 0x44 0x55 0x88 0x88 0x55 0x55 0x55 0x55 0x55 0x55
	    0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x88 0x88 0x88 0x44 0x44 0x44
	    0x44 0x44 0x88 0x55 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77
	    0x55 0x55 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x55 0x55 0x55 0x55 0x88
	    0x88 0x88 0x88 0x55 0x55 0x55 0x77 0x88 0x88 0x88 0x88 0x44 0x44 0x44 0x44 0x44
	    0x88 0x55 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x55 0x55
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x55 0x55 0x55 0x55 0x88 0x88 0x88
	    0x88 0x55 0x55 0x55 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x44 0x44 0x55 0x88
	    0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x55
	    0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x55 0x44 0x44 0x55 0x88 0x44 0x44
	    0x44 0x44 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x55 0x55
	    0x55 0x55 0x44 0x44 0x55 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44
	    0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x55 0x55 0x55 0x55
	    0x44 0x44 0x55 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44
	    0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x44 0x55 0x55 0x55 0x55 0x44 0x44
	    0x44 0x44 0x44 0x66 0x66 0x44 0x44 0x44 0x44 0x44 0x55 0x44 0x55 0x44 0x44 0x55
	    0x44 0x55 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x44 0x55 0x55 0x55 0x55 0x44 0x44 0x44 0x44
	    0x44 0x66 0x66 0x44 0x44 0x44 0x44 0x44 0x55 0x44 0x55 0x44 0x44 0x55 0x44 0x55
	    0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x77 0x77 0x77 0x55 0x55 0x55 0x55 0x44 0x44 0x44 0x66
	    0x66 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x77 0x77 0x77 0x55 0x55 0x55 0x55 0x44 0x44 0x44 0x66 0x66 0x44
	    0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x77 0x77 0x77 0x55 0x55 0x55 0x55 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x55
	    0x55 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77
	    0x77 0x77 0x55 0x55 0x55 0x55 0x44 0x44 0x44 0x44 0x44 0x44 0x44 0x55 0x55 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0xFF 0x77 0x55
	    0x55 0x88 0x88 0x55 0x55 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0xFF 0x77 0x55 0x55 0x88
	    0x88 0x55 0x55 0x44 0x44 0x44 0x44 0x44 0x44 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF 0xFF 0x77 0x55 0x88 0x88 0x88 0x88 0x88
	    0x55 0x44 0x44 0x44 0x44 0x44 0x55 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0xFF 0xFF 0x77 0x55 0x88 0x88 0x88 0x88 0x88 0x55 0x44
	    0x44 0x44 0x44 0x44 0x55 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0xFF 0xFF 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x55 0x55
	    0x55 0x55 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0xFF
	    0xFF 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x55 0x55 0x55 0x55 0x55
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 

	MEM 1740 BMPen \
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x77 0x77 0x77 0xFF 0xFF 0xFF 0x77 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x77 0x77 0x77 0xFF 0xFF 0xFF 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x77 0xFF 0xFF
	    0xFF 0xFF 0xFF 0xFF 0x77 0x77 0x77 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x77 0xFF 0xFF 0xFF 0xFF
	    0xFF 0xFF 0x77 0x77 0x77 0x77 0x77 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x77 0x77 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0x77 0x77
	    0x66 0x66 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x77 0x77 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0x77 0x77 0x66 0x66
	    0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x11
	    0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0x77 0x77 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x66
	    0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x11 0xFF 0xFF
	    0xFF 0xFF 0xFF 0x77 0x77 0x77 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x66 0x66 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x11 0x11 0xFF 0xFF 0x77 0x77
	    0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x11 0x11 0xFF 0xFF 0x77 0x77 0x33 0x33
	    0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x33
	    0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x11 0x77 0x33 0x33 0x33 0x33 0x33 0x33 0x33
	    0x33 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33
	    0x33 0x33 0x33 0x33 0x33 0x11 0x77 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66
	    0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33
	    0x33 0x33 0x33 0x77 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33
	    0x33 0x77 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0x33 0x33 0x33 0x33 0x66
	    0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x77 0xFF 0xFF 0xFF 0xFF 0xFF 0xFF 0x33 0x33 0x33 0x33 0x66 0x33 0x33
	    0x33 0x33 0x33 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x33 0x77 0x77 0x77 0x77 0x77 0x33 0x33 0x33 0x66 0x33 0x33 0x33 0x33
	    0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x33 0x77 0x77 0x77 0x77 0x77 0x33 0x33 0x33 0x66 0x33 0x33 0x33 0x33 0x66 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33
	    0x33 0x33 0x33 0x33 0x33 0x33 0x88 0x88 0x33 0x33 0x33 0x33 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33
	    0x33 0x33 0x33 0x33 0x88 0x88 0x33 0x33 0x33 0x33 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x88
	    0x66 0x88 0x88 0x88 0x88 0x88 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x88 0x66 0x88
	    0x88 0x88 0x88 0x88 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x77 0xFF 0xFF 0xFF
	    0x88 0x77 0x66 0x77 0x88 0x88 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x77 0xFF 0xFF 0xFF 0x88 0x77
	    0x66 0x77 0x88 0x88 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0xFF 0x66 0x77
	    0x88 0x77 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x77 0xFF 0xFF 0xFF 0xFF 0xFF 0x77 0xFF 0x66 0x77 0x88 0x77
	    0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x77 0xFF 0xFF 0x88 0x11 0x11 0x11 0x11 0x77 0x88 0x77 0x66 0x77 0x77 0x77
	    0x88 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77
	    0xFF 0xFF 0x88 0x11 0x11 0x11 0x11 0x77 0x88 0x77 0x66 0x77 0x77 0x77 0x88 0x66
	    0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x66 0x77 0x88
	    0x11 0x11 0x11 0x11 0x11 0x66 0x88 0x88 0x88 0x77 0x66 0x66 0x88 0x77 0x77 0x77
	    0x66 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x66 0x77 0x88 0x11 0x11
	    0x11 0x11 0x11 0x66 0x88 0x88 0x88 0x77 0x66 0x66 0x88 0x77 0x77 0x77 0x66 0x66
	    0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x66 0x66 0x77 0x88 0x11 0x11 0x11
	    0x11 0x66 0x88 0x77 0x66 0x77 0x88 0x88 0x88 0x66 0x66 0x66 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x66 0x66 0x77 0x88 0x11 0x11 0x11 0x11 0x66
	    0x88 0x77 0x66 0x77 0x88 0x88 0x88 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x66 0x66 0x77 0x77 0x77 0x77 0x66 0x77 0x66 0x77
	    0x88 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x66 0x66 0x77 0x77 0x77 0x77 0x66 0x77 0x66 0x77 0x88 0x66
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x66 0x66 0x66 0x66 0x66 0x88 0x66 0x66 0x66 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x66 0x66 0x66 0x66 0x66 0x88 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x88
	    0x66 0x88 0x88 0x88 0x88 0x88 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x88 0x66 0x88
	    0x88 0x88 0x88 0x88 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x88 0x88
	    0x33 0x33 0x33 0x33 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x88 0x88 0x33 0x33
	    0x33 0x33 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x33 0x77 0x77 0x77 0x77 0x77 0x33 0x33 0x33 0x88 0x33 0x33 0x33 0x33
	    0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x33 0x77 0x77 0x77 0x77 0x77 0x33 0x33 0x33 0x88 0x33 0x33 0x33 0x33 0x66 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x66 0x66 0x66
	    0x66 0x66 0x66 0x33 0x33 0x33 0x33 0x88 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x77 0x66 0x66 0x66 0x66 0x66
	    0x66 0x33 0x33 0x33 0x33 0x88 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33
	    0x33 0x33 0x33 0x66 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33
	    0x33 0x66 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x11
	    0x66 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x11 0x66 0x33
	    0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x11 0x11 0x77 0x77 0x77 0x66
	    0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x11 0x11 0x77 0x77 0x77 0x66 0x33 0x33
	    0x33 0x33 0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x11 0x66 0x77 0x77 0x77 0x77 0x77 0x66 0x66
	    0x33 0x33 0x33 0x33 0x66 0x66 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x11 0x66 0x77 0x77 0x77 0x77 0x77 0x66 0x66 0x33 0x33
	    0x33 0x33 0x66 0x66 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x66 0x88 0x88 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77
	    0x66 0x66 0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x66 0x88 0x88 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x77 0x66 0x66
	    0x66 0x66 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x66 0x88 0x88 0x88 0x77 0x77 0x77 0x66 0x66 0x66 0x66 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x66 0x88 0x88 0x88 0x77 0x77 0x77 0x66 0x66 0x66 0x66 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	    0x88 0x88 0x66 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88 0x88
	
